/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.normalizer.parser.valueobject;

/**
 * HTMLのイベントをあらわすバリューオブジェクトです。
 */
public abstract class BlancoHtmlEvent {
    /**
     * HTML構造上の深さ。&lt;HTML&gt; や &lt;!DOCTYPEなどが 0に該当。、&lt;HEAD&gt; や &lt;BODY&gt; は 1 のレベルになる。startDocument, endDocument は -1 のレベル。
     *
     * フィールド: [deapth]。
     * デフォルト: [-1]。
     */
    private int fDeapth = -1;

    /**
     * フィールド [deapth] の値を設定します。
     *
     * フィールドの説明: [HTML構造上の深さ。<HTML> や <!DOCTYPEなどが 0に該当。、<HEAD> や <BODY> は 1 のレベルになる。startDocument, endDocument は -1 のレベル。]。
     *
     * @param argDeapth フィールド[deapth]に設定する値。
     */
    public void setDeapth(final int argDeapth) {
        fDeapth = argDeapth;
    }

    /**
     * フィールド [deapth] の値を取得します。
     *
     * フィールドの説明: [HTML構造上の深さ。<HTML> や <!DOCTYPEなどが 0に該当。、<HEAD> や <BODY> は 1 のレベルになる。startDocument, endDocument は -1 のレベル。]。
     * デフォルト: [-1]。
     *
     * @return フィールド[deapth]から取得した値。
     */
    public int getDeapth() {
        return fDeapth;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.normalizer.parser.valueobject.BlancoHtmlEvent[");
        buf.append("deapth=" + fDeapth);
        buf.append("]");
        return buf.toString();
    }
}
